Bug 149655 - Crash: "Helplines while moving" crashes debug-build
Summary: Crash: "Helplines while moving" crashes debug-build
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha0+ Master
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2022-06-21 11:34 UTC by Regina Henschel
Modified: 2022-06-23 19:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Callstack by VS 2019 (4.79 KB, text/plain)
2022-06-21 11:34 UTC, Regina Henschel
Details
bt with debug symbols (9.30 KB, text/plain)
2022-06-22 18:53 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2022-06-21 11:34:57 UTC
Created attachment 180868 [details]
Callstack by VS 2019

The crash happens only in a debug-build.

Start a new presentation and insert a shape. Deselect shape. Make sure you can select the shape by clicking on it. Deselect shape.

Enable "Helplines while moving". That is in menu View->Grid and Helplines. Click on the shape -> crash.
Comment 1 Julien Nabet 2022-06-22 18:53:45 UTC
Created attachment 180919 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 2 Julien Nabet 2022-06-22 19:25:25 UTC
Reverting a447b5b6d1114111c92e5e3e3f3ae83d4c2f3bca (loplugin:moveit) partly (just in svx/source/sdr/overlay/overlaytools.cxx) makes the crash disappear.

Noel: I understand that moving data instead of copying is interesting but if there's no safeguard to avoid a crash here or a missing context like https://cgit.freedesktop.org/libreoffice/core/commit/?id=c0e66cfab12d6c78d68af09498533362724dbd05), perhaps we should revert them and wait a bit to improve loplugin:moveit?
Comment 3 Commit Notification 2022-06-23 16:25:35 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/535cdff8127426ce8accdb6049f90b6b2fd754a2

tdf#149655 Crash: "Helplines while moving" crashes debug-build

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Julien Nabet 2022-06-23 19:28:17 UTC
On pc Debian x86-64 with master sources updated today (included Noel's patch), I confirm I don't reproduce this.
Thank you Noel!